<template>
	<view style="padding: 30rpx;">
		<u-table v-if="consigneeData">
			<u-tr><u-th>客户名称</u-th></u-tr>
			<u-tr v-for="(item, index) in consigneeData" :key="item.id">
				<u-td>{{ item.customerName }}</u-td>
			</u-tr>
		</u-table>
		<u-empty v-else text="数据为空" mode="list"></u-empty>
	</view>
</template>

<script setup lang="ts">
import { ref } from 'vue';
import { consigneeList } from '@/api/profile';

let consigneeData = ref();
let init = () => {
	consigneeList().then((res: any) => {
		if (res.data.code === 200) {
			consigneeData.value = res.data.data;
			console.log(res);
		}
	});
};

init();
</script>

<style></style>
